Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.code
Class OWLTextFormatter

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.code.OWLTextFormatter

    public class OWLTextFormatter

extends Object

A static utility class for JTextComponents with specific features to edit OWL expressions in the compact syntax.

Author:
  Holger Knublauch

Constructor Summary
`OWLTextFormatter()`

Method Summary
`static String` | `getDisplayString(String str)`
`static String` | `getParseableString(String str)` Deprecated. Moved to CompactParserUtil - this method is no longer needed as it will be called by the parser on the fly
`static void` | `initKeymap(JTextComponent textComponent)`
`static void` | `updateDisplay(OWLClassDisplay display)`
`static void` | `updateSyntax(JTextComponent textComponent)` Replaces all occurences of special symbols with the corresponding unicode symbols.
`static void` | `updateSyntax(JTextComponent textComponent, OWLModel owlModel)` Replaces all occurences of special symbols with the corresponding unicode symbols.
`static void` | `updateSyntax(JTextComponent textComponent, OWLModel owlModel, Map smap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLTextFormatter

    public OWLTextFormatter()

Method Detail

### updateDisplay

    public static void updateDisplay(OWLClassDisplay display)

### getDisplayString

    public static String getDisplayString(String str)

### getParseableString

    public static String getParseableString(String str)

  Deprecated. Moved to CompactParserUtil - this method is no longer needed as it will be called by the parser on the fly

### initKeymap

    public static void initKeymap(JTextComponent textComponent)

### updateSyntax

    public static void updateSyntax(JTextComponent textComponent)

  Replaces all occurences of special symbols with the corresponding unicode symbols.

### updateSyntax

    public static void updateSyntax(JTextComponent textComponent,
                                    OWLModel owlModel)

  Replaces all occurences of special symbols with the corresponding unicode symbols.

### updateSyntax

    public static void updateSyntax(JTextComponent textComponent,
                                    OWLModel owlModel,
                                    Map smap)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.